Skip to content
Install

Validate that a custom domain points at the ingress CNAME

POST
/projects/ingresses/validate-dns
curl --request POST \
--url https://example.com/projects/ingresses/validate-dns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "domain": "example", "projectId": "example" }'

Auth: authenticated (scope: deploy)

Media typeapplication/json
object
domain
required
string
projectId
required
string

Example generated

{
"domain": "example",
"projectId": "example"
}

OK

Media typeapplication/json
object
message
required
string
valid
required
boolean
key
additional properties

Example generated

{
"message": "example",
"valid": true
}